Name: libzio
Version: 0.4
Release: alt1

License: GPL
Group: System/Libraries
Summary: A library for accessing compressed text files
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: libzio-%version.tar
Patch: libzio-0.4-alt-makefile.patch

BuildPreReq: zlib-devel, bzlib-devel

%package devel
Summary: Development files for the libzio library
Group: Development/C
Requires: %name = %version-%release

%description
Libzio provides a wrapper function for reading or writing gzip/bzip2
files with FILE streams.

%description devel
Libzio provides a wrapper function for reading or writing gzip/bzip2
files with FILE streams.

This package contains library and header files needed for
building libzio-aware applications.

%prep
%setup -q
%patch -p1

%build
%make_build shared libdir=/%_lib
make testt
printf '%%s\n%%s' one two >sample.in
gzip -9c sample.in >sample.in.gz
LD_LIBRARY_PATH=. ./testt sample.in.gz >sample.out
cmp sample.in sample.out
bzip2 -9c sample.in >sample.in.bz2
LD_LIBRARY_PATH=. ./testt sample.in.bz2 >sample.out
cmp sample.in sample.out

%install
%make_install install-shared install-data \
	DESTDIR=%buildroot libdir=/%_lib mandir=%_mandir

# Relocate development library from /%_lib/ to %_libdir/.
mkdir -p %buildroot%_libdir
for f in %buildroot/%_lib/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	ln -snf ../../%_lib/"$t" "%buildroot%_libdir/${f##*/}"
	rm -f "$f"
done

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc README
/%_lib/*.so.*

%files devel
%_libdir/*.so
%_includedir/*
%_man3dir/*

%changelog
* Mon Apr 09 2007 Dmitry V. Levin <ldv@altlinux.org> 0.4-alt1
- Updated to 0.4.

* Mon Apr 09 2007 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt5
- Uncompressed tarball.

* Mon Mar 06 2006 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt4
- Fixed build with --as-needed.

* Mon Aug 15 2005 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt3
- Restricted list of global symbols exported by the library.

* Wed Jun 15 2005 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt2
- Relocated shared library from %_libdir to /%_lib (fixes #7093).

* Thu Nov 11 2004 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt1
- Initial revision.
